      subroutine potts_act_tab(idel,nqm1) ! bernd berg sep 5 2000.
c initialize delta function table for action per link.
      dimension idel(0:nqm1,0:nqm1)
      do iq1=0,nqm1
        do iq2=0,nqm1
        idel(iq1,iq2)=0
        end do
        idel(iq1,iq1)=1
      end do
      return
      end
